"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEventStreamPlugin = void 0;
const eventStreamHandlingMiddleware_1 = require("./eventStreamHandlingMiddleware");
const eventStreamHeaderMiddleware_1 = require("./eventStreamHeaderMiddleware");
const getEventStreamPlugin = (options) => ({
    applyToStack: (clientStack) => {
        clientStack.addRelativeTo((0, eventStreamHandlingMiddleware_1.eventStreamHandlingMiddleware)(options), eventStreamHandlingMiddleware_1.eventStreamHandlingMiddlewareOptions);
        clientStack.add(eventStreamHeaderMiddleware_1.eventStreamHeaderMiddleware, eventStreamHeaderMiddleware_1.eventStreamHeaderMiddlewareOptions);
    },
});
exports.getEventStreamPlugin = getEventStreamPlugin;
